#!/bin/bash

export crossOS=android
export crossHost=arm-linux-androideabi

export CROSSCONFIGURE_VARS="CPP=$crossHost-cpp CC=$crossHost-gcc CXX=$crossHost-g++ LD=$crossHost-ld AR=$crossHost-ar RANLIB=$crossHost-ranlib"

export CROSSCONFIGURE_ARGS="--host=$crossHost"

if [ "x$1" = "xtarclean" ] ; then
  /bin/rm .CONFIG-UPDATE-DONE
elif [ ! -f .CONFIG-UPDATE-DONE ] ; then
  ./ANDROID-FIX-CONFIG.sh

  echo "Updated config.guess and config.sub files" > .CONFIG-UPDATE-DONE

fi

source devel.bash

for d in packages ; do
    echo "Running $d/CASCADE-MAKE.sh"

    (cd $d ; ./CASCADE-MAKE.sh $*)

    if [ $? != 0 ] ; then
	echo "Error encountered running $d/CASCADE-MAKE.sh"
	exit 1
    fi
done

if [ $makedist = "1"  ] ; then
  default_toplevel_make_dist $GSDLOS devel.bash
fi
